Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 95569 - Allow to go through separated token sequences
Allow to go through separated token sequences
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Lexer
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Miloslav Metelka
issues@editor
:
Depends on:
Blocks: 95303
  Show dependency treegraph
 
Reported: 2007-02-14 15:08 UTC by Marek Fukala
Modified: 2007-04-13 23:03 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2007-02-14 15:08:04 UTC
I need a way how to go through separated token sequences in an embedded
language. If a language contains another embedded language you often need to
collect all the parts of the embedded language into one char sequence. Currently
there is no way how to easily find next token of the embedded language when
there is a token of the top language between them.

A nice example is a JSP:

<html>
<body>
<jsp:useBean name="hello"/>
</body>
</html>

If you get TS for the first HTML part you can go throught the html tokens, then
once you get to the JSP token the html TS ends. I would be handy to have an
ability to simply find the next(and probably also previous) token seqence.
Comment 1 Miloslav Metelka 2007-02-22 22:40:12 UTC
A current plan is to provide something like TokenSequenceList for a given
LanguagePath but it may change if necessary.
Comment 2 Miloslav Metelka 2007-04-13 23:03:27 UTC
Fixed.

Checking in src/org/netbeans/lib/lexer/TokenHierarchyOperation.java;
/cvs/lexer/src/org/netbeans/lib/lexer/TokenHierarchyOperation.java,v  <-- 
TokenHierarchyOperation.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/lib/lexer/SubSequenceTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/SubSequenceTokenList.java,v  <-- 
SubSequenceTokenList.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/lib/lexer/EmbeddedTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/EmbeddedTokenList.java,v  <-- 
EmbeddedTokenList.java
new revision: 1.8; previous revision: 1.7
done
RCS file: /cvs/lexer/src/org/netbeans/lib/lexer/TokenListList.java,v
done
Checking in src/org/netbeans/lib/lexer/TokenListList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/TokenListList.java,v  <--  TokenListList.java
initial revision: 1.1
done
Checking in src/org/netbeans/lib/lexer/TokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/TokenList.java,v  <--  TokenList.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/lib/lexer/LexerUtilsConstants.java;
/cvs/lexer/src/org/netbeans/lib/lexer/LexerUtilsConstants.java,v  <-- 
LexerUtilsConstants.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/lib/lexer/LexerApiPackageAccessor.java;
/cvs/lexer/src/org/netbeans/lib/lexer/LexerApiPackageAccessor.java,v  <-- 
LexerApiPackageAccessor.java
new revision: 1.6; previous revision: 1.5
done
RCS file: /cvs/lexer/src/org/netbeans/lib/lexer/JoinTokenList.java,v
done
Checking in src/org/netbeans/lib/lexer/JoinTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/JoinTokenList.java,v  <--  JoinTokenList.java
initial revision: 1.1
done
Checking in src/org/netbeans/lib/lexer/inc/StandaloneTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/inc/StandaloneTokenList.java,v  <-- 
StandaloneTokenList.java
new revision: 1.5; previous revision: 1.4
done
Checking in src/org/netbeans/lib/lexer/inc/SnapshotTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/inc/SnapshotTokenList.java,v  <-- 
SnapshotTokenList.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/lib/lexer/inc/IncTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/inc/IncTokenList.java,v  <-- 
IncTokenList.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/lib/lexer/inc/RemovedTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/inc/RemovedTokenList.java,v  <-- 
RemovedTokenList.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/lib/lexer/inc/FilterSnapshotTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/inc/FilterSnapshotTokenList.java,v  <-- 
FilterSnapshotTokenList.java
new revision: 1.5; previous revision: 1.4
done
Checking in test/unit/src/org/netbeans/lib/lexer/test/LexerTestUtilities.java;
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/LexerTestUtilities.java,v 
<--  LexerTestUtilities.java
new revision: 1.11; previous revision: 1.10
done
Checking in api/apichanges.xml;
/cvs/lexer/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.16; previous revision: 1.15
done
Checking in src/org/netbeans/api/lexer/TokenSequence.java;
/cvs/lexer/src/org/netbeans/api/lexer/TokenSequence.java,v  <--  TokenSequence.java
new revision: 1.11; previous revision: 1.10
done
Checking in src/org/netbeans/api/lexer/TokenHierarchy.java;
/cvs/lexer/src/org/netbeans/api/lexer/TokenHierarchy.java,v  <-- 
TokenHierarchy.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/api/lexer/Language.java;
/cvs/lexer/src/org/netbeans/api/lexer/Language.java,v  <--  Language.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/api/lexer/LanguagePath.java;
/cvs/lexer/src/org/netbeans/api/lexer/LanguagePath.java,v  <--  LanguagePath.java
new revision: 1.8; previous revision: 1.7
done
Checking in nbproject/project.properties;
/cvs/lexer/nbproject/project.properties,v  <--  project.properties
new revision: 1.10; previous revision: 1.9
done
Checking in src/org/netbeans/lib/lexer/batch/BatchTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/batch/BatchTokenList.java,v  <-- 
BatchTokenList.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/lib/lexer/batch/SkimTokenList.java;
/cvs/lexer/src/org/netbeans/lib/lexer/batch/SkimTokenList.java,v  <-- 
SkimTokenList.java
new revision: 1.5; previous revision: 1.4
done
RCS file:
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagTokenId.java,v
done
Checking in
test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagTokenId.java;
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagTokenId.java,v
 <--  TestHTMLTagTokenId.java
initial revision: 1.1
done
RCS file:
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagLexer.java,v
done
Checking in test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagLexer.java;
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/simple/TestHTMLTagLexer.java,v
 <--  TestHTMLTagLexer.java
initial revision: 1.1
done
Checking in
test/unit/src/org/netbeans/lib/lexer/test/simple/SimpleJavadocTokenId.java;
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/test/simple/SimpleJavadocTokenId.java,v
 <--  SimpleJavadocTokenId.java
new revision: 1.9; previous revision: 1.8
done
RCS file:
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/TokenSequenceListTest.java,v
done
Checking in test/unit/src/org/netbeans/lib/lexer/TokenSequenceListTest.java;
/cvs/lexer/test/unit/src/org/netbeans/lib/lexer/TokenSequenceListTest.java,v 
<--  TokenSequenceListTest.java
initial revision: 1.1
done
Checking in test/unit/src/org/netbeans/api/lexer/LanguagePathTest.java;
/cvs/lexer/test/unit/src/org/netbeans/api/lexer/LanguagePathTest.java,v  <-- 
LanguagePathTest.java
new revision: 1.8; previous revision: 1.7


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo